#include <bits/stdc++.h>

using namespace std;
double a[200001], p[200001], p1[200001];
int main()
{
    long long int n;
    double s=0, s1=0;
    cin >> n;
    for (long long int i=0;i<n;i++) {cin >> a[i] >> p[i];p1[i]=p[i];}
    sort(p1,p1+n);
    for (long long int i=0;i<n;i++){
        s1=0;
        if ((i==0)||(p1[i]!=p1[i-1]))
            for (long long j=0;j<n;j++) if (p[j]>=p1[i]) s1+=a[j]*p1[i]/100;
        if (s1>s) s=s1;
    }
    printf("%lf", s);
    return 0;
}